package com.adobe.model.hr.test;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.adobe.model.entities.hr.Country;
import com.adobe.model.entities.hr.Region;
import com.adobe.model.hr.services.HrSessionBeanRemote;

public class HrTestClient {

	public static void main(String[] args) {
		// TODO Auto-generated method stub
        try {
            final Context context =  getInitialContext();
            HrSessionBeanRemote hRSession = (HrSessionBeanRemote)context.lookup("HrSession#com.adobe.model.hr.services.HrSessionBeanRemote");
            for (Region region : hRSession.getRegionsFindAll() ) {
                System.out.println( "regionId = " + region.getRegionId() );
                System.out.println( "regionName = " + region.getRegionName() );
                for (Country country : region.getCountries()) {
                    System.out.println( "countryId = " + country.getCountryId() );
                    System.out.println( "countryName = " + country.getCountryName() );
               }   
           }
        } catch (Exception ex) {
            ex.printStackTrace();
        }
	}

    private static Context getInitialContext() throws NamingException {
        Hashtable env = new Hashtable();
        // WebLogic Server 10.x connection details
        env.put(Context.INITIAL_CONTEXT_FACTORY, "weblogic.jndi.WLInitialContextFactory" );
        env.put(Context.PROVIDER_URL, "t3://localhost:7001");
        return new InitialContext( env );
    }
	
}
